import type { PackageJson } from 'pkg-types';
import { Config } from './config';
export declare enum ENV {
    PROD = "production",
    DEV = "development",
    TEST = "test"
}
export declare enum COMMAND {
    BUILD = "build",
    DEV = "dev",
    TEST = "test",
    ANALYZE = "analyze",
    RUN = "run",
    UPGRADE = "upgrade",
    LINT = "lint",
    INIT = "init",
    ADD = "add"
}
export interface BuildContext {
    cli: {
        command: COMMAND;
        isDev: boolean;
        isBuild: boolean;
        isTest: boolean;
        isAnalyze: boolean;
        isRun: boolean;
        isLint: boolean;
        options: {
            [index: string]: any;
        };
    };
    env: {
        isCI: boolean;
    };
    config: Config;
    pkg: PackageJson;
    dirs: {
        cwd: string;
        workspace?: string;
    };
    resolve: {
        alias: {
            [index: string]: string;
        };
    };
    enable: {
        apiExtractor?: object;
        cemAnalyzer?: object;
        mft?: object;
    };
}
//# sourceMappingURL=build-context.d.ts.map