export type PWADirection = 'ltr' | 'rtl' | 'auto';
export type PWADisplay = 'fullscreen' | 'standalone' | 'minimal-ui' | 'browser';
export type PWAOrientation = 'any' | 'natural' | 'landscape' | 'landscape-primary' | 'landscape-secondary' | 'portrait' | 'portrait-primary' | 'portrait-secondary';
export type PWACrossOrigin = 'use-credentials' | 'anonymous';
export interface PWARelatedApplications {
    platform?: string;
    url: string;
    id?: string;
}
export interface PWAIosOptions {
    'apple-touch-icon'?: string | PWAIosAppleTouchIcon;
    'apple-touch-startup-image'?: string;
    'apple-mobile-web-app-title'?: string;
    'apple-mobile-web-app-capable'?: 'yes' | 'no' | boolean;
    'apple-mobile-web-app-status-bar-style'?: 'default' | 'black' | 'black-translucent';
}
export interface PWAIosAppleTouchIcon {
    sizes?: string | number;
    href: string;
}
export interface PWAIcon {
    src: string;
    size?: string | number;
    sizes?: number[];
    destination?: string;
    ios?: boolean | 'default' | 'startup';
    purpose?: string;
    type?: string;
}
export interface PWAManifest {
    backgroundColor?: string;
    categories?: string[];
    crossorigin?: PWACrossOrigin;
    description?: string;
    dir?: PWADirection;
    display?: PWADisplay;
    displayOverride?: string[];
    fileHandlers?: object[];
    icons?: PWAIcon | PWAIcon[];
    id?: string;
    ios?: boolean | PWAIosOptions;
    lang?: string;
    launchHandler?: object;
    name: string;
    orientation?: PWAOrientation;
    preferRelatedApplications?: boolean;
    relatedApplications?: PWARelatedApplications[];
    scope?: string;
    screenshots?: object[];
    shareTarget?: string;
    shortName?: string;
    startUrl?: string;
    themeColor?: string;
    [index: string]: string | object | boolean;
}
//# sourceMappingURL=pwa.d.ts.map