"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.downloadTarball = void 0;
const tslib_1 = require("tslib");
const node_fs_1 = require("node:fs");
const consola_1 = tslib_1.__importDefault(require("consola"));
const download_tarball_1 = tslib_1.__importDefault(require("download-tarball"));
const tmp_1 = tslib_1.__importDefault(require("tmp"));
const downloadTarball = (url, destination, subPath = '') => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const tmpDir = tmp_1.default.dirSync();
    consola_1.default.debug({
        tmp: tmpDir.name,
        destination,
        url,
    });
    yield (0, download_tarball_1.default)({ url, dir: tmpDir.name });
    const source = `${tmpDir.name}${subPath}`;
    (0, node_fs_1.cpSync)(`${source}`, destination, { recursive: true });
});
exports.downloadTarball = downloadTarball;
