"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDevCertOptions = void 0;
const tslib_1 = require("tslib");
const node_fs_1 = require("node:fs");
const node_path_1 = require("node:path");
const consola_1 = tslib_1.__importDefault(require("consola"));
/**
 * Get default dev cert options.
 *
 * @public
 */
const getDevCertOptions = () => {
    const certDir = (0, node_path_1.resolve)(__dirname, '../../cert/');
    const cert = (0, node_path_1.resolve)(certDir, 'localhost.crt');
    const key = (0, node_path_1.resolve)(certDir, 'localhost.key');
    if ((0, node_fs_1.existsSync)(cert) && (0, node_fs_1.existsSync)(key)) {
        return {
            cert: (0, node_fs_1.readFileSync)(cert),
            key: (0, node_fs_1.readFileSync)(key),
        };
    }
    consola_1.default.warn(`Could not load the default development certificates from ${certDir}.`);
};
exports.getDevCertOptions = getDevCertOptions;
