import type { PackageJson } from 'pkg-types';
import type { BuildContext } from '../types';
export declare const tryRequire: (id: any, rootDir?: string) => any;
export declare const resolveBin: (bin: string, module?: string) => Promise<string>;
export declare const loadPackageJSON: (dir?: string) => Promise<PackageJson>;
export declare const loadPackageJSONFiles: (packages?: any[]) => Promise<PackageJson[]>;
export declare const getLatestVersion: (name: any, range?: string, verbose?: boolean) => any;
export declare const getRangeSpecifier: (version: any) => any;
export declare const getRawPkg: (ctx: BuildContext) => {
    [key: string]: any;
    name?: string;
    version?: string;
    description?: string;
    keywords?: string[];
    homepage?: string;
    bugs?: string | {
        url?: string;
        email?: string;
    };
    license?: string;
    repository?: string | {
        type: string;
        url: string;
        directory?: string;
    };
    scripts?: Record<string, string>;
    private?: boolean;
    author?: import("pkg-types").PackageJsonPerson;
    contributors?: import("pkg-types").PackageJsonPerson[];
    files?: string[];
    main?: string;
    browser?: string;
    bin?: string | Record<string, string>;
    man?: string | string[];
    dependencies?: Record<string, string>;
    devDependencies?: Record<string, string>;
    optionalDependencies?: Record<string, string>;
    peerDependencies?: Record<string, string>;
    types?: string;
    typings?: string;
    module?: string;
    type?: "module" | "commonjs";
    exports?: string | Record<string, string | Record<string, string>>;
    workspaces?: string[];
};
export declare const updatePackageJSON: (pkg: PackageJson) => Promise<void>;
export declare const updateVersions: (pkg: PackageJson, newVersion: string, exclude: string[], include?: string[]) => {
    name: string;
    to: string;
    from: string;
}[];
//# sourceMappingURL=npm.d.ts.map