"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.excludeObjKeys = exports.replaceObjectKeys = exports.objToSnakeCase = void 0;
const change_case_1 = require("change-case");
const objToSnakeCase = (obj) => Object.keys(obj).reduce((acc, key) => {
    const keyRenamed = (0, change_case_1.snakeCase)(key);
    acc[keyRenamed] = obj[key];
    return acc;
}, {});
exports.objToSnakeCase = objToSnakeCase;
const replaceObjectKeys = (input, searchValue, replaceValue) => Object.fromEntries(Object.entries(input).map(([key, value]) => [key.replace(searchValue, replaceValue), value]));
exports.replaceObjectKeys = replaceObjectKeys;
const excludeObjKeys = (obj, excludeKeys) => Object.keys(obj).reduce((acc, key) => {
    if (!excludeKeys.includes(key)) {
        acc[key] = obj[key];
    }
    return acc;
}, {});
exports.excludeObjKeys = excludeObjKeys;
