import type { PackageJson } from 'pkg-types';
export type LocalFetchResult = {
    local: boolean;
    genxDir: string;
    seed: string;
    subdir: string;
    pkg: PackageJson;
    dir: string;
    extractedSeedDir: string;
    extractedSeedGenxDir: string;
};
export type RemoteGitFetchResult = {
    repo: string;
    ref: string;
    id: string;
};
export type RemoteNPMFetchResult = {
    artifact: string;
    ref: string;
};
export type RemoteFetchResult = RemoteGitFetchResult | RemoteNPMFetchResult;
export type FetchResult = LocalFetchResult | (LocalFetchResult & RemoteFetchResult);
export declare const resolveGitSeed: (seed?: string, ref?: string, subdir?: string, provider?: string) => RemoteGitFetchResult;
export declare const resolveNPMSeed: (seed?: string, ref?: string, useDefaultNPMScope?: boolean) => RemoteNPMFetchResult;
export type SeedDirs = {
    isLocalSeed: boolean;
    dir: string;
    subdir: string;
    localPath: string;
    genxDir: string;
    extractedSeedDir: string;
    extractedSeedGenxDir: string;
};
export declare const getSeedDirs: (seed: string, dir: string, subdir: string, isInit: boolean, remote: boolean) => SeedDirs;
export declare const fetchSeed: (seed: string, dir: string, remote: boolean, ref: string, insecure: boolean, subdir: string, isInit: boolean, lookupInNPM: boolean, useDefaultNPMScope: boolean) => Promise<FetchResult>;
//# sourceMappingURL=seed.fetching.d.ts.map